Create Production Plan

Creates a new instance of a production plan.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Understanding the item_class field

Each production plan task involves one item, which can be either a recipe or a custom task:

  • If the item is a recipe, the item_class will be recipe and the item_id will be the ID of a recipe. This applies to tasks specific to a recipe. In this case, the quantity_to_produce field is required.
  • If the item is a custom task, the item_class will be custom, and the item_id will be the ID of a custom task. This is used for more general tasks and is not tied to any specific recipe. In this case, the quantity_to_produce field is not required.

In short, the item_class field helps identify what the task relates to.

Body Params
string
required
string
required

The name of the production plan.

date
required

The date and time that the production plan is planned to start.

consider_quantities_planned_on
object

If given, consider quantities of already planned items on the given dates

tasks
array of objects
tasks
Responses

Language
Credentials
OAuth2
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json